if __name__ == '__main__':
    import xarray as xr
    import subprocess
    import argparse
    import skamf
    from os import getcwd
    from os.path import join, dirname
    parser = argparse.ArgumentParser(description='Edit an AMF table')
    parser.add_argument('filenames', type=str, help='paths to the locations of the tables.', nargs='+')
    parser.add_argument('-i', action='store_true', help='set this to not use ipython')
    parser.add_argument('--ec', action='store_true', help='set this to include the EC AMF table')
    args = vars(parser.parse_args())
    filenames = [join(getcwd(), name) for name in args['filenames']]
    filenames = ' '.join(filenames)

    editfile = join(dirname(skamf.__file__), '_edit.py')
    if not args['i']:
        subprocess.run(f'ipython -i {editfile} {filenames}')
    else:
        subprocess.run(f'python -i {editfile} {filenames}')
